Index: tmp/org.txm.rcp.feature/win/TXM.bat
===================================================================
--- tmp/org.txm.rcp.feature/win/TXM.bat	(revision 1683)
+++ tmp/org.txm.rcp.feature/win/TXM.bat	(revision 1684)
@@ -45,8 +45,8 @@
 copy "%DOTTXM%.metadata\.plugins\org.eclipse.core.runtime\.settings\org.txm.rcpapplication.prefs" "%temp%\org.txm.rcpapplication.prefs" 
 copy "%DOTTXM%data\.metadata\.plugins\org.eclipse.core.runtime\.settings\org.txm.rcpapplication.prefs" "%temp%\org.txm.rcpapplication.prefs" 
 
-rmdir "%DOTTXM%" /s /q
-IF errorlevel 1 (echo "TXM: failed to delete %DOTTXM% directory.")
+rmdir /s /q "%DOTTXM%"
+IF errorlevel 1 (echo "TXM: failed to delete the %DOTTXM% directory.")
 
 mkdir "%DOTTXM%" 
 IF errorlevel 1 (echo "TXM: failed to create %DOTTXM% directory.")
@@ -62,7 +62,8 @@
 mkdir "%DOTTXM%data" 
 IF errorlevel 1 (echo "TXM: failed to create %DOTTXM%data directory.")
 
-rmdir "%TXMHOME%corpora\.metadata"
+rmdir /s /q "%TXMHOME%corpora\.metadata"
+IF errorlevel 1 (echo "TXM: failed to delete the %TXMHOME%corpora\.metadata directory.")
 
 copy "%installdir%STAMP" "%DOTTXM%STAMP" 
 IF errorlevel 1 (echo "TXM: failed to copy %DOTTXM%STAMP file")
Index: tmp/org.txm.core/src/java/org/txm/importer/AddAttributeInXml.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/AddAttributeInXml.java	(revision 1683)
+++ tmp/org.txm.core/src/java/org/txm/importer/AddAttributeInXml.java	(revision 1684)
@@ -83,9 +83,9 @@
 			result = true;;
 			if (attributes != null) {
 				for (Pair<String, String> meta : attributes) {
-					if(stopAtFirst)
+					if (stopAtFirst)
 						stopInsertion = true;
-					if(!exists.contains(meta.getFirst())) // I can add the new attribute
+					if (!exists.contains(meta.getFirst())) // I can add the new attribute
 						writer.writeAttribute(meta.getFirst(), meta.getSecond());
 				}
 			} else if (attributesMap != null) {
Index: tmp/org.txm.core/src/java/org/txm/importer/StaxIdentityParser.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/StaxIdentityParser.java	(revision 1683)
+++ tmp/org.txm.core/src/java/org/txm/importer/StaxIdentityParser.java	(revision 1684)
@@ -116,17 +116,20 @@
 		writer.writeStartDocument("UTF-8", "1.0");
 		writer.writeCharacters("\n");
 		boolean ret = process(writer);
-		if (writer != null) { // process from a file
+		if (writer != null) {
 			writer.close();
 		}
-		if (output != null) { // process from a file
-			//	output.flush()
-			output.close();
+		if (output != null) {
+			try {output.close();} catch(Exception e){System.out.println("output excep: "+e);}
 		}
 
 		if (parser != null) {
-			try {parser.close();} catch(Exception e){System.out.println("parser exep: "+e); return false;}
+			try {parser.close();} catch(Exception e){System.out.println("parser excep: "+e);}
 		}
+		
+		if (inputData != null) {
+			try {inputData.close();} catch(Exception e){System.out.println("inputData excep: "+e);}
+		}
 
 		return ret;
 	}
Index: tmp/TXMReleasePlugins.site/site.xml
===================================================================
--- tmp/TXMReleasePlugins.site/site.xml	(revision 1683)
+++ tmp/TXMReleasePlugins.site/site.xml	(revision 1684)
@@ -3,22 +3,22 @@
    <description name="TXM Extensions - RELEASE" url="http://txm.textometrie.org/updates/plugins">
       This update site contains the Release plugins for TXM
    </description>
-   <feature url="features/org.txm.backtomedia.feature_1.0.0.1674.jar" id="org.txm.backtomedia.feature" version="1.0.0.1674">
+   <feature url="features/org.txm.backtomedia.feature_1.0.0.1680.jar" id="org.txm.backtomedia.feature" version="1.0.0.1680">
       <category name="Commands"/>
    </feature>
-   <feature url="features/org.txm.wordcloud.feature_1.0.0.1674.jar" id="org.txm.wordcloud.feature" version="1.0.0.1674">
+   <feature url="features/org.txm.wordcloud.feature_1.0.0.1680.jar" id="org.txm.wordcloud.feature" version="1.0.0.1680">
       <category name="Commands"/>
    </feature>
-   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.1674.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.1674" os="" ws="">
+   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.1680.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.1680" os="" ws="">
       <category name="Annotation"/>
    </feature>
-   <feature url="features/org.txm.treetagger.models.feature_1.0.0.1674.jar" id="org.txm.treetagger.models.feature" version="1.0.0.1674">
+   <feature url="features/org.txm.treetagger.models.feature_1.0.0.1680.jar" id="org.txm.treetagger.models.feature" version="1.0.0.1680">
       <category name="Annotation"/>
    </feature>
-   <feature url="features/org.txm.annotation.urs.feature_1.0.0.1674.jar" id="org.txm.annotation.urs.feature" version="1.0.0.1674">
+   <feature url="features/org.txm.annotation.urs.feature_1.0.0.1680.jar" id="org.txm.annotation.urs.feature" version="1.0.0.1680">
       <category name="Annotation"/>
    </feature>
-   <feature url="features/org.txm.tigersearch.feature_1.0.0.1674.jar" id="org.txm.tigersearch.feature" version="1.0.0.1674">
+   <feature url="features/org.txm.tigersearch.feature_1.0.0.1680.jar" id="org.txm.tigersearch.feature" version="1.0.0.1680">
       <category name="Annotation"/>
    </feature>
    <category-def name="Commands" label="Commands"/>
